%global momorel 4
%global emacsver 23.2
%global e_sitedir %{_datadir}/emacs/site-lisp
%global autodir /var/lib/auctex

Summary: A much enhanced LaTeX mode for Emacs
Name: elisp-auctex
Version: 11.86
Release: %{momorel}m%{?dist}
License: GPLv3+
Group: Applications/Editors
Source0: http://ftp.gnu.org/pub/gnu/auctex/auctex-%{version}.tar.gz
NoSource: 0
Source1: auctex.el
URL: http://www.gnu.org/software/auctex/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: emacs >= %{emacsver}
BuildRequires: tetex tetex-latex ghostscript
Requires: emacs >= %{emacsver}
Requires(post): info
Requires(preun): info
Obsoletes: elisp-preview-latex
Provides: elisp-preview-latex
Obsoletes: preview-latex-emacs
Provides: preview-latex-emacs
Obsoletes: auctex-emacs
Obsoletes: auctex-xemacs

%description
AUC TeX is a comprehensive customizable integrated environment for
writing input files for LaTeX using GNU Emacs.

%package -n tetex-preview
Group: Applications/Publishing
Summary: Preview style files for LaTeX
Requires: tetex tetex-latex ghostscript
Requires(post): kpathsea
Requires(postun): kpathsea

%description -n tetex-preview 
The preview package for LaTeX allows for the processing of selected
parts of a LaTeX input file.  This package extracts indicated pieces
from a source file (typically displayed equations, figures and
graphics) and typesets with their base point at the (1in,1in) magic
location, shipping out the individual pieces on separate pages without
any page markup.  You can produce either DVI or PDF files, and options
exist that will set the page size separately for each page.  In that
manner, further processing (as with Ghostscript or dvipng) will be
able to work in a single pass.

The main purpose of this package is the extraction of certain
environments (most notably displayed formulas) from LaTeX sources as
graphics. This works with DVI files postprocessed by either Dvips and
Ghostscript or dvipng, but it also works when you are using PDFTeX for
generating PDF files (usually also postprocessed by Ghostscript).

The tetex-preview package is generated from the AUCTeX package for
Emacs.

%prep
%setup -q -n auctex-%{version}

%build
%configure --with-emacs --with-auto-dir=%{autodir}
make lisp
pushd doc
make extradist
popd

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{e_sitedir}/site-start.d

make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/%{name}

rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_datadir}/doc/auctex/tex-ref.pdf

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/auctex.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/preview-latex.info %{_infodir}/dir || :

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/auctex.info %{_infodir}/dir || :
    /sbin/install-info --delete %{_infodir}/preview-latex.info %{_infodir}/dir || :
fi

%post -n tetex-preview
/usr/bin/texhash > /dev/null 2>&1 || :

%postun -n tetex-preview
/usr/bin/texhash > /dev/null 2>&1 || :

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING ChangeLog FAQ INSTALL README RELEASE TODO
%doc doc/*.{dvi,ps,pdf}
%doc doc/html
%{_datadir}/config-sample/%{name}/auctex.el
/var/lib/auctex
%{e_sitedir}/auctex
%{e_sitedir}/site-start.d/*
%{e_sitedir}/tex-site.el
%{_infodir}/*

%files -n tetex-preview
%defattr(-,root,root,-)
%{_datadir}/texmf/tex/latex/preview
%{_datadir}/texmf/doc/latex/styles

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (11.86-4m)
- full rebuild for mo7 release

* Sun Jun 13 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.86-3m)
- rebuild against emacs-23.2

* Tue Mar 16 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.86-2m)
- merge auctex-emacs to elisp-auctex
- kill auctex-xemacs

* Tue Mar  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.86-1m)
- update to 11.86

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-16m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Jul 30 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.85-15m)
- rebuild against emacs 23.1

* Tue Jul 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.85-14m)
- rebuild against emacs 23.0.96

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-13m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-12m)
- rebuild against emacs-23.0.94

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-11m)
- rebuild against xemacs-21.5.29

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-10m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-9m)
- rebuild against emacs-23.0.92

* Sun Mar  8 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-8m)
- not make backup file of Patch0
- License: GPLv3+

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-7m)
- rebuild against rpm-4.6

* Sat Nov 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-6m)
- fix INFO-DIR-SECTION of info files

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-5m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-4m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-3m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.85-2m)
- rebuild against gcc43

* Tue Feb 12 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.85-1m)
- update to 11.85
- License: GPLv3

* Wed Jul 25 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.84-4m)
- add PreReq: kpathsea (tetex-preview package)

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.84-3m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.84-2m)
- rebuild against emacs-22.1

* Thu Apr 12 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (11.84-1m)
- update to 11.84 (sync with Fedora)
  preview-latex was merged into this package
- add Patch0: auctex-11.84-tex-jp.el.patch
  see <http://at-aka.blogspot.com/2007/01/auctex-1184-tex-jpel.html>

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.55-11m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.55-10m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.55-9m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.55-8m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.55-7m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.55-6m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.55-5m)
- rebuild against emacs-22.0.90

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (11.55-4m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Tue Feb 15 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (11.55-3m)
- use %%{xe_sitedir}, %%{sitepdir}

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.55-2m)
- rebuild against emacs 22.0.50

* Thu Feb 10 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (11.55-1m)
- version up

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (11.14-2m)
- rebuild against emacs-21.3.50

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (11.14-1m)
- verup

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (11.11-4m)
- rebuild against emacs-21.3

* Tue Dec 24 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (11.11-3m)
- change upstream URL ([Momonga-devel.ja:01123] thanks, SIVA)

* Thu Jun 13 2002 Kenta MURATA <muraken2@nifty.com>
- (11.11-2k)
- version up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (10.0g-12k)
- /sbin/install-info -> info in PreReq.

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (10.0g-10k)
- rebuild against emacs-21.2

* Sun Nov 18 2001 Kenta MURATA <muraken2@nifty.com>
- (10.0g-8k)
- add auctex.el for config-sample
- auctex-kondara.patch

* Mon Oct 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (elisp-auctex-10.0g-6k)
- modified %BuildPrereq and %Requires (added xemacs-sumo)

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-auctex-10.0g-4k)
- merge auctex-emacs and auctex-xemacs

* Tue Jul 17 2001 Hidetomo Machi <mcHT@kondara.org>
- (10.0g-2k)
- import to 2.0
- use %{_tmppath} macro
- add Makefile patch

* Mon Jul 16 2001 Toshiro HIKITA <toshi@sodan.org>
- (10.0g-3k)
- updated to 10.0g

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (9.10t-3k)
- modify specfile (License)
- modify %post and %preun
- modify %doc

* Wed Oct 18 2000 Toshiro HIKITA <toshi@sodan.org>
- (9.10t-1k)
- imported from 9.9p-2mdk of Mandarake
- Kondarize, adopt to Specfile Gaidance
- updated to 9.10t

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 9.9p-2mdk
- mandrake adaptation
- cleanup

* Fri Jul 10 1998 W.L. Estes <wlestes@wlestes.uncg.edu>
- build root now used
- cleaned up file list
- fixed url tag
- added CHANGES and ChangeLog to doc files
- now requires emacs >= 20
- added \%clean
- misc spec file cosmetic cleanups

 *Wed Mar 11 1998 Martin Schimschak <masch@theo-phys.uni-essen.de>
 - initial revision for auctex 9.8l
